#ifndef XPATHBASENODE_H
#define XPATHBASENODE_H

#include "xasset.h"

#include <QVector3D>

class XPathBaseNode : public XAsset
{
public:
    explicit XPathBaseNode();
    ~XPathBaseNode();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    QVector3D mOrigin;
    quint32 mType;
};

#endif // XPATHBASENODE_H
